package Sah::Schemas::NumSeq;

our $AUTHORITY = 'cpan:PERLANCAR'; # AUTHORITY
our $DATE = '2021-07-17'; # DATE
our $DIST = 'Sah-Schemas-NumSeq'; # DIST
our $VERSION = '0.001'; # VERSION

1;
# ABSTRACT: Sah schemas for number sequences

__END__

=pod

=encoding UTF-8

=head1 NAME

Sah::Schemas::NumSeq - Sah schemas for number sequences

=head1 VERSION

This document describes version 0.001 of Sah::Schemas::NumSeq (from Perl distribution Sah-Schemas-NumSeq), released on 2021-07-17.

=head1 SAH SCHEMAS

=over

=item * L<num_seq|Sah::Schema::num_seq>

Number sequence, e.g. 1,3,5,...,16.

=back

=head1 HOMEPAGE

Please visit the project's homepage at L<https://metacpan.org/release/Sah-Schemas-NumSeq>.

=head1 SOURCE

Source repository is at L<https://github.com/perlancar/perl-Sah-Schemas-NumSeq>.

=head1 BUGS

Please report any bugs or feature requests on the bugtracker website L<https://rt.cpan.org/Public/Dist/Display.html?Name=Sah-Schemas-NumSeq>

When submitting a bug or request, please include a test-file or a
patch to an existing test-file that illustrates the bug or desired
feature.

=head1 SEE ALSO

L<Sah::PSchema::NumSeq>

L<Sah::Schemas::IntSeq>

L<Sah::Schemas::IntRange>

L<NumSeq::Iter>

L<Sah> - specification

L<Data::Sah>

=head1 AUTHOR

perlancar <perlancar@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2021 by perlancar@cpan.org.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
